Galon Cloud
Galon API v1

/projects/{project_id}/dns/zones

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /projects/{project_id}/dns/zones

List DNS zones hosted by Galon

Administrator SESSION route (console). Served only when the service is open to the account (404 not_found otherwise). Non-administrator member: 403. Domains bought elsewhere, served by Galon's name servers after delegation.

Console session only (signed-in console).

Parameters

NameInTypeDescription
project_idpathstring · requiredproject identifier

Responses

StatusDescriptionBody
200Zones, delegation status, name serversobject
401Key missing or invalidError

Examples

curl

curl -X GET "$GALON_API_BASE/projects/<project_id>/dns/zones" \
  -H "Authorization: Bearer $GALON_API_KEY"

POST /projects/{project_id}/dns/zones

Create a DNS zone for a domain bought elsewhere

Administrator SESSION route (console). Served only when the service is open to the account (404 not_found otherwise). Non-administrator member: 403. 50 zones per project.

Console session only (signed-in console).

Parameters

NameInTypeDescription
project_idpathstring · requiredproject identifier

Request body

application/json

FieldTypeDescription
domainstring · required

Responses

StatusDescriptionBody
201Zone createdobject
200Zone already claimed by this projectobject
409dns_zone_claimed, dns_zone_in_portfolioError
422dns_zone_domain_invalid, dns_zone_reserved, dns_zone_limit_reachedError
401Key missing or invalidError

Examples

curl

curl -X POST "$GALON_API_BASE/projects/<project_id>/dns/zones" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"domain": "string"}'